Skip to content

Configure SMTP settings for a Supabase project

POST
/account/supabase/configure
curl --request POST \
--url https://api.pingram.io/account/supabase/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "projectRef": "example", "projectName": "example", "senderName": "example", "senderEmail": "example" }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
projectRef
required
string
projectName
required
string
senderName
required
string
senderEmail
required
string
Examplegenerated
{
"projectRef": "example",
"projectName": "example",
"senderName": "example",
"senderEmail": "example"
}

Responses

200

Successful response

Media typeapplication/json
object
success
required
boolean
message
string
Examplegenerated
{
"success": true,
"message": "example"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}